# Retrieve all uploads. **GET /uploads** Get uploads created via the Payroll API. Page size is ten and cannot be changed. ## Servers - https://payroll-api.getpenfold.dev/v4: https://payroll-api.getpenfold.dev/v4 () ## Authentication methods - O auth2 client credentials ## Parameters ### Query parameters - **page_number** (integer) The page number to return in the list of records. - **employer_id** (string) Get uploads made for the specified employer only. This should be the employer ID from the Employer record, not the "external_reference" of the employer. ## Responses ### 200 Retrieved the uploads successfully. #### Body: application/json (object) - **page_number** (integer) The current page number. - **page_size** (integer) The number of items per page. - **total_items** (integer) The total number of items available. - **items** (array[object]) An array of Upload objects on the current page. ### 400 Bad request, the request is malformed or contains invalid data. #### Body: application/json (object) - **error** (string) A descriptive error message. - **validation_errors** (array[object]) ### 401 Unauthorized, the request requires authentication, and the provided credentials are either missing or incorrect. #### Body: application/json (object) - **error** (string) A descriptive error message. ### 404 The requested contribution record or employer not found. #### Body: application/json (object) - **error** (string) A descriptive error message. [Powered by Bump.sh](https://bump.sh)